> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the accounts a contract's revenue subledger posts to



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /rr/api/v1/contracts/{id}/subledger-accounts
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **10 requests per second**. This limit is shared
    across

    all endpoints for the same API user. OAuth app tokens get the same limit,

    counted separately for each app connection. Requests that exceed the limit
    receive a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /rr/api/v1/contracts/{id}/subledger-accounts:
    get:
      tags:
        - Revenue Recognition
      summary: List the accounts a contract's revenue subledger posts to
      operationId: rr_api_v1_contracts_subledger_accounts_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractSubledgerAccounts'
          description: ''
components:
  schemas:
    ContractSubledgerAccounts:
      type: object
      properties:
        entity:
          allOf:
            - $ref: '#/components/schemas/_SubledgerEntity'
          readOnly: true
        currency:
          type: string
          readOnly: true
        client:
          allOf:
            - $ref: '#/components/schemas/_SubledgerClient'
          readOnly: true
          nullable: true
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/_SubledgerAccount'
          readOnly: true
      required:
        - accounts
        - client
        - currency
        - entity
    _SubledgerEntity:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        currency:
          type: string
          readOnly: true
      required:
        - currency
        - id
        - name
    _SubledgerClient:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
    _SubledgerAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name_and_number:
          type: string
          readOnly: true
        account_type:
          type: string
          readOnly: true
        account_subtype:
          type: string
          readOnly: true
          nullable: true
        roles:
          type: array
          items:
            type: string
          readOnly: true
        manual_entry_blocked_reason:
          type: string
          readOnly: true
          nullable: true
      required:
        - account_subtype
        - account_type
        - id
        - manual_entry_blocked_reason
        - name_and_number
        - roles

````